librdmacm1_1.0.19.1-1_amd64.deb


Advertisement

Description

librdmacm1 - Library for managing RDMA connections

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: librdmacm1
Package version: 1.0.19.1
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 154 B
Download size: 47.36 KB
Official Mirror: ftp.br.debian.org
librdmacm is a library that allows applications to set up reliable connected and unreliable datagram transfers when using RDMA adapters. It provides a transport-neutral interface in the sense that the same code can be used for both InfiniBand and iWARP adapters. The interface is based on sockets, but adapted for queue pair (QP) based semantics: communication must use a specific RDMA device, and data transfers are message-based. librdmacm only provides communication management (connection setup and tear-down) and works in conjunction with the verbs interface provided by libibverbs, which provides the interface used to actually transfer data. This package contains the shared library.

Alternatives

    Download

    Source package: librdmacm

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install librdmacm1 deb package:
      # sudo apt-get install librdmacm1

    Files

    • /usr/lib/x86_64-linux-gnu/librdmacm.so.1
    • /usr/lib/x86_64-linux-gnu/librdmacm.so.1.0.0
    • /usr/lib/x86_64-linux-gnu/rsocket/librspreload.so
    • /usr/lib/x86_64-linux-gnu/rsocket/librspreload.so.1
    • /usr/lib/x86_64-linux-gnu/rsocket/librspreload.so.1.0.0
    • /usr/share/doc/librdmacm1/changelog.Debian.gz
    • /usr/share/doc/librdmacm1/copyright

    Changelog

    2014-09-04 - Ana Beatriz Guerrero Lopez <ana@debian.org> librdmacm (1.0.19.1-1) unstable; urgency=medium * New upstream release. * Update Homepage in debian/control. * Remove duplicated fields in debian/control.

    2014-08-19 - Ana Beatriz Guerrero Lopez <ana@debian.org> librdmacm (1.0.19-1) unstable; urgency=medium * New upstream release. (Closes: #755217) * Remove patch 01-CVE-2012-4516-no-default-acm-port.patch merged upstream. * Move to maintenance under the pkg-ofed team: - Set Maintainer field to the team's name. - Move rbd to Uploaders. - Add myself to Uploaders. * Update to Standards-Version: 3.9.5 (no changes needed). * Add fields Vcs-Browser/Vcs-Git. * Add dependency on libibverbs-dev in librdmacm-dev. Thanks to Andreas Engelbredt Dalsgaard. (Closes: #734751)

    2012-10-16 - Roland Dreier <rbd@debian.org> librdmacm (1.0.16-1) unstable; urgency=high * Security fix: apply 01-CVE-2012-4516-no-default-acm-port.patch (Closes: #690672) * New upstream release. - Add rsockets API and protocol. - Add LD_PRELOAD-able librspreload to use rsockets transparently. - Bug fixes. * Update dh_makeshlibs call, since new rsockets API was added in 1.0.16. * Update to Standards-Version: 3.9.4 (no changes needed). * Apply 02-fix-manpage-nroff-errors.patch to fix lintian warnings. * Update to debhelper 9.

    2012-06-17 - Roland Dreier <rbd@debian.org> librdmacm (1.0.15-1) unstable; urgency=low * New upstream release. * Update dh_makeshlibs call, since new functions rdma_create_srq() and rdma_destroy_srq() were added in 1.0.15. * Drop link-with-pthread.patch (applied upstream). * Don't use brace expansion for {a,so} in librdmacm-dev.install * Update to Standards-Version: 3.9.3 (no changes needed). * Update maintainer and remove DM-Upload-Allowed now that I'm a DD.

    2011-07-12 - Roland Dreier <roland@digitalvampire.org> librdmacm (1.0.14.1-2) unstable; urgency=low * Don't ship .la files. (Closes: #633229)

    2011-04-20 - Roland Dreier <roland@digitalvampire.org> librdmacm (1.0.14.1-1) unstable; urgency=low * New upstream release. - Fix problem with some versions of cxgb3 driver * Update to Standards-Version: 3.9.2 (no changes needed). * Set DM-Upload-Allowed to yes. * Still linking directly with libpthread. (Closes: #618071)

    2010-12-15 - Roland Dreier <rolandd@cisco.com> librdmacm (1.0.14-1) experimental; urgency=low * Switch to dpkg-source 3.0 (quilt) format. * Update to Standards-Version: 3.9.1 (no changes needed). * New upstream release. - Add IPv6 support - Add new higher-level, simpler API - Add new client/server examples * Link directly with libpthread. (Closes: #555380)

    2009-11-18 - Roland Dreier <rolandd@cisco.com> librdmacm (1.0.10-1) unstable; urgency=low * Update to Standards-Version: 3.8.3 (no changes needed). * Move -dbg package to section debug. * Change build system from cdbs to debhelper 7. * New upstream release: - Many small fixes.

    2008-08-08 - Roland Dreier <rolandd@cisco.com> librdmacm (1.0.8-1) unstable; urgency=low * New upstream release: - Report address change and timewait exit events (requires kernel 2.6.27). - Minor enhancements to example programs.

    2008-03-28 - Roland Dreier <rolandd@cisco.com> librdmacm (1.0.7-1) unstable; urgency=low * New upstream release: - Set status correctly for rejects. - Add new function rdma_migrate_id(). * We actually require libibverbs 1.1 (not 1.0) to build. * Add debian/watch file. * Use DEB_DH_MAKESHLIBS_ARGS_ALL to pass appropriate -V option to dh_makeshlibs, since a new symbol rdma_migrate_id() was added in librdmacm 1.0.7.

    Advertisement
    Advertisement